
From: Geert Uytterhoeven <geert@linux-m68k.org>

This interface code contains a local `resume()' routine, which conflicts with
the `resume()' defined by many architectures in <asm/*.h>. The patch below
fixes this by renaming the local routine to `do_resume()'.




 25-akpm/drivers/md/dm-ioctl-v4.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/md/dm-ioctl-v4.c~dm-rename-resume drivers/md/dm-ioctl-v4.c
--- 25/drivers/md/dm-ioctl-v4.c~dm-rename-resume	Wed Jul 30 14:31:43 2003
+++ 25-akpm/drivers/md/dm-ioctl-v4.c	Wed Jul 30 14:31:43 2003
@@ -613,7 +613,7 @@ static int suspend(struct dm_ioctl *para
 	return r;
 }
 
-static int resume(struct dm_ioctl *param)
+static int do_resume(struct dm_ioctl *param)
 {
 	int r = 0;
 	struct hash_cell *hc;
@@ -678,7 +678,7 @@ static int dev_suspend(struct dm_ioctl *
 	if (param->flags & DM_SUSPEND_FLAG)
 		return suspend(param);
 
-	return resume(param);
+	return do_resume(param);
 }
 
 /*

_
